﻿/*
This source file is part of the RGBZ Video Camera project published in the paper

  Coherent Spatiotemporal Filtering, Upsampling and Rendering of RGBZ Videos
  Christian Richardt, Carsten Stoll, Neil A. Dodgson, Hans-Peter Seidel, Christian Theobalt
  Computer Graphics Forum (Proceedings of Eurographics), 31(2), May 2012
  <http://www.mpi-inf.mpg.de/resources/rgbz-camera/>

If you use our code, please cite our paper. Thanks.

Copyright (c) 2012 Christian Richardt <christian@richardt.name>


Code licence: GPL v3
----------------------------------------------------------------------------------------------------
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation;
either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program;
if not, see <http://www.gnu.org/licenses/>.

$Id: RecorderForm.Designer.cs 537 2012-04-04 15:35:42Z cr333 $
*/
namespace RGBZcamera.Recorder
{
	partial class RecorderForm
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.IContainer components = null;

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing && (components != null))
			{
				components.Dispose();
			}
			base.Dispose(disposing);
		}

		#region Windows Form Designer generated code

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.mainLayout = new System.Windows.Forms.TableLayoutPanel();
			this.videoPanel4 = new VideoLib.OpenGL.VideoControl();
			this.propertyGrid = new System.Windows.Forms.PropertyGrid();
			this.buttonsLayout = new System.Windows.Forms.TableLayoutPanel();
			this.previewButton = new System.Windows.Forms.Button();
			this.recordButton = new System.Windows.Forms.Button();
			this.stopButton = new System.Windows.Forms.Button();
			this.swissrangerVideoLayout = new System.Windows.Forms.TableLayoutPanel();
			this.videoPanel3 = new VideoLib.OpenGL.VideoControl();
			this.videoPanel2 = new VideoLib.OpenGL.VideoControl();
			this.videoPanel1 = new VideoLib.OpenGL.VideoControl();
			this.mainLayout.SuspendLayout();
			this.buttonsLayout.SuspendLayout();
			this.swissrangerVideoLayout.SuspendLayout();
			this.SuspendLayout();
			// 
			// mainLayout
			// 
			this.mainLayout.AutoSize = true;
			this.mainLayout.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.mainLayout.ColumnCount = 3;
			this.mainLayout.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 250F));
			this.mainLayout.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
			this.mainLayout.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
			this.mainLayout.Controls.Add(this.videoPanel4, 2, 0);
			this.mainLayout.Controls.Add(this.propertyGrid, 0, 0);
			this.mainLayout.Controls.Add(this.buttonsLayout, 0, 1);
			this.mainLayout.Controls.Add(this.swissrangerVideoLayout, 1, 0);
			this.mainLayout.Dock = System.Windows.Forms.DockStyle.Fill;
			this.mainLayout.Location = new System.Drawing.Point(0, 0);
			this.mainLayout.Name = "mainLayout";
			this.mainLayout.Padding = new System.Windows.Forms.Padding(3);
			this.mainLayout.RowCount = 2;
			this.mainLayout.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.mainLayout.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.mainLayout.Size = new System.Drawing.Size(928, 811);
			this.mainLayout.TabIndex = 2;
			// 
			// videoPanel4
			// 
			this.videoPanel4.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.videoPanel4.BackColor = System.Drawing.Color.Black;
			this.videoPanel4.Background = System.Drawing.SystemColors.Control;
			this.videoPanel4.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.videoPanel4.Location = new System.Drawing.Point(614, 6);
			this.videoPanel4.Name = "videoPanel4";
			this.mainLayout.SetRowSpan(this.videoPanel4, 2);
			this.videoPanel4.ShowCaption = true;
			this.videoPanel4.Size = new System.Drawing.Size(1024, 768);
			this.videoPanel4.TabIndex = 3;
			this.videoPanel4.VSync = true;
			// 
			// propertyGrid
			// 
			this.propertyGrid.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
						| System.Windows.Forms.AnchorStyles.Left)
						| System.Windows.Forms.AnchorStyles.Right)));
			this.propertyGrid.Location = new System.Drawing.Point(6, 6);
			this.propertyGrid.Name = "propertyGrid";
			this.propertyGrid.Size = new System.Drawing.Size(244, 700);
			this.propertyGrid.TabIndex = 2;
			this.propertyGrid.ToolbarVisible = false;
			// 
			// buttonsLayout
			// 
			this.buttonsLayout.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
						| System.Windows.Forms.AnchorStyles.Right)));
			this.buttonsLayout.AutoSize = true;
			this.buttonsLayout.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.buttonsLayout.ColumnCount = 3;
			this.buttonsLayout.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 33.33333F));
			this.buttonsLayout.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 33.33334F));
			this.buttonsLayout.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 33.33334F));
			this.buttonsLayout.Controls.Add(this.previewButton, 0, 0);
			this.buttonsLayout.Controls.Add(this.recordButton, 1, 0);
			this.buttonsLayout.Controls.Add(this.stopButton, 2, 0);
			this.buttonsLayout.Location = new System.Drawing.Point(3, 709);
			this.buttonsLayout.Margin = new System.Windows.Forms.Padding(0);
			this.buttonsLayout.Name = "buttonsLayout";
			this.buttonsLayout.RowCount = 1;
			this.buttonsLayout.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.buttonsLayout.Size = new System.Drawing.Size(250, 29);
			this.buttonsLayout.TabIndex = 6;
			// 
			// previewButton
			// 
			this.previewButton.Dock = System.Windows.Forms.DockStyle.Fill;
			this.previewButton.Location = new System.Drawing.Point(3, 3);
			this.previewButton.Name = "previewButton";
			this.previewButton.Size = new System.Drawing.Size(77, 23);
			this.previewButton.TabIndex = 0;
			this.previewButton.Text = "Preview";
			this.previewButton.UseVisualStyleBackColor = true;
			this.previewButton.Click += new System.EventHandler(this.previewButton_Click);
			// 
			// recordButton
			// 
			this.recordButton.Dock = System.Windows.Forms.DockStyle.Fill;
			this.recordButton.Location = new System.Drawing.Point(86, 3);
			this.recordButton.Name = "recordButton";
			this.recordButton.Size = new System.Drawing.Size(77, 23);
			this.recordButton.TabIndex = 1;
			this.recordButton.Text = "Record";
			this.recordButton.UseVisualStyleBackColor = true;
			this.recordButton.Click += new System.EventHandler(this.recordButton_Click);
			// 
			// stopButton
			// 
			this.stopButton.Dock = System.Windows.Forms.DockStyle.Fill;
			this.stopButton.Enabled = false;
			this.stopButton.Location = new System.Drawing.Point(169, 3);
			this.stopButton.Name = "stopButton";
			this.stopButton.Size = new System.Drawing.Size(78, 23);
			this.stopButton.TabIndex = 2;
			this.stopButton.Text = "Stop";
			this.stopButton.UseVisualStyleBackColor = true;
			this.stopButton.Click += new System.EventHandler(this.stopButton_Click);
			// 
			// swissrangerVideoLayout
			// 
			this.swissrangerVideoLayout.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
						| System.Windows.Forms.AnchorStyles.Left)));
			this.swissrangerVideoLayout.AutoSize = true;
			this.swissrangerVideoLayout.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.swissrangerVideoLayout.ColumnCount = 1;
			this.swissrangerVideoLayout.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
			this.swissrangerVideoLayout.Controls.Add(this.videoPanel3, 0, 2);
			this.swissrangerVideoLayout.Controls.Add(this.videoPanel2, 0, 0);
			this.swissrangerVideoLayout.Controls.Add(this.videoPanel1, 0, 1);
			this.swissrangerVideoLayout.Location = new System.Drawing.Point(253, 3);
			this.swissrangerVideoLayout.Margin = new System.Windows.Forms.Padding(0);
			this.swissrangerVideoLayout.Name = "swissrangerVideoLayout";
			this.swissrangerVideoLayout.RowCount = 3;
			this.mainLayout.SetRowSpan(this.swissrangerVideoLayout, 2);
			this.swissrangerVideoLayout.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 33.33333F));
			this.swissrangerVideoLayout.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 33.33333F));
			this.swissrangerVideoLayout.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 33.33333F));
			this.swissrangerVideoLayout.Size = new System.Drawing.Size(358, 882);
			this.swissrangerVideoLayout.TabIndex = 5;
			// 
			// videoPanel3
			// 
			this.videoPanel3.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.videoPanel3.BackColor = System.Drawing.Color.Black;
			this.videoPanel3.Background = System.Drawing.SystemColors.Control;
			this.videoPanel3.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.videoPanel3.Location = new System.Drawing.Point(3, 591);
			this.videoPanel3.Name = "videoPanel3";
			this.videoPanel3.ShowCaption = true;
			this.videoPanel3.Size = new System.Drawing.Size(352, 288);
			this.videoPanel3.TabIndex = 2;
			this.videoPanel3.VSync = true;
			// 
			// videoPanel2
			// 
			this.videoPanel2.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.videoPanel2.BackColor = System.Drawing.Color.Black;
			this.videoPanel2.Background = System.Drawing.SystemColors.Control;
			this.videoPanel2.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.videoPanel2.Location = new System.Drawing.Point(3, 3);
			this.videoPanel2.Name = "videoPanel2";
			this.videoPanel2.ShowCaption = true;
			this.videoPanel2.Size = new System.Drawing.Size(352, 287);
			this.videoPanel2.TabIndex = 1;
			this.videoPanel2.VSync = true;
			// 
			// videoPanel1
			// 
			this.videoPanel1.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.videoPanel1.BackColor = System.Drawing.Color.Black;
			this.videoPanel1.Background = System.Drawing.SystemColors.Control;
			this.videoPanel1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.videoPanel1.Location = new System.Drawing.Point(3, 297);
			this.videoPanel1.Name = "videoPanel1";
			this.videoPanel1.ShowCaption = true;
			this.videoPanel1.Size = new System.Drawing.Size(352, 287);
			this.videoPanel1.TabIndex = 0;
			this.videoPanel1.VSync = true;
			// 
			// RecorderForm
			// 
			this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
			this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
			this.AutoSize = true;
			this.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.ClientSize = new System.Drawing.Size(928, 811);
			this.Controls.Add(this.mainLayout);
			this.Name = "RecorderForm";
			this.Text = "RGBZ Video Camera — Recorder";
			this.mainLayout.ResumeLayout(false);
			this.mainLayout.PerformLayout();
			this.buttonsLayout.ResumeLayout(false);
			this.swissrangerVideoLayout.ResumeLayout(false);
			this.ResumeLayout(false);
			this.PerformLayout();

		}

		#endregion

		internal VideoLib.OpenGL.VideoControl videoPanel1;
		internal VideoLib.OpenGL.VideoControl videoPanel2;
		internal VideoLib.OpenGL.VideoControl videoPanel3;
		internal VideoLib.OpenGL.VideoControl videoPanel4;
		private System.Windows.Forms.TableLayoutPanel mainLayout;
		private System.Windows.Forms.PropertyGrid propertyGrid;
		private System.Windows.Forms.TableLayoutPanel swissrangerVideoLayout;
		private System.Windows.Forms.TableLayoutPanel buttonsLayout;
		private System.Windows.Forms.Button previewButton;
		private System.Windows.Forms.Button recordButton;
		private System.Windows.Forms.Button stopButton;


	}
}
